#include <stdio.h>
#include <stdlib.h>

#include <wiringPi.h>


int main (int argc, char** argv)
{


/* Test du mode "root". Si pas identifié
	en mode "root", alors affichage d'un message d'erreur */
      if(getuid()!=0) //wiringPi requires root privileges
      {
        printf("Error:wiringPi must be run as root.\n");
        return 1;
      }
/* Configuration des bibliotheques WPi
   afin d'utiliser la numérotation des
   GPIO selon les numéros WPi.
   Si la bibliothèque ne s'initialise pas,
   affichage d'un message d'erreur*/
      if(wiringPiSetup()==-1)
      {
        printf("Error:wiringPi setup failed.\n");
        return 1;
      }
	// Broche WPi 1 en sortie
	pinMode(1,OUTPUT);

    // Mise au niveau logique 1 de la sortie 1
	digitalWrite(1,1);
	delay(3000);
	// Mise au niveau logique 0 de la sortie 1
    digitalWrite(1,0);



    return 0;
}
